# -*- coding: utf-8 -*-
"""
 * TencentBlueKing is pleased to support the open source community by making 蓝鲸智云-蓝鲸 PaaS 平台(BlueKing-PaaS) available.
 * Copyright (C) 2017-2021 THL A29 Limited, a Tencent company. All rights reserved.
 * Licensed under the MIT License (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at http://opensource.org/licenses/MIT
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
"""
from functools import wraps

from .jwt_client import JWTClient, jwt_invalid_view


def apigw_required(view_func):
    """apigw装饰器
    """
    @wraps(view_func)
    def _wrapped_view(request, *args, **kwargs):
        request.jwt = JWTClient(request)
        if not request.jwt.is_valid:
            return jwt_invalid_view(request)
        return view_func(request, *args, **kwargs)
    return _wrapped_view
